ExtTerminalInterface Class Referenceabstract

`#include <kde_terminal_interface.h>`

## Public Member Functions

virtual void | startProgram (const QString &program, const QStrList &args)=0
virtual void | showShellInDir (const QString &dir)=0
virtual void | sendInput (const QString &text)=0
virtual void | setAutoStartShell (bool enabled)=0
virtual void | setAutoDestroy (bool enabled)=0

## Detailed Description

This class is used analogically to TerminalInterface (see it's documentation), but provides 2 further methods to change konsole's behaviour.

For KDE 4, this class will be dropped again and the functionality merged into TerminalInterface. Only use this if you really need it for 3.5...

See also
  TerminalInterface

Since
  3.5

Definition at line 129 of file kde_terminal_interface.h.

## Member Function Documentation

virtual void ExtTerminalInterface::sendInput | ( | const QString & | text | ) |

pure virtual

This sends.

Parameters

  text | as input to the currently running program..

virtual void ExtTerminalInterface::setAutoDestroy | ( | bool | enabled | ) |

pure virtual

If set to true (which is default), konsolePart will destroy itself as soon as the running program terminates.

If false, you can start another program instead or close it yourself.

virtual void ExtTerminalInterface::setAutoStartShell | ( | bool | enabled | ) |

pure virtual

Call this to disable the automatic shell that is normally loaded when konsolePart is instantiated;.

You must call this function immediately after creating the part! The shell is otherwise started as soon as the Qt event loop is entered.

virtual void ExtTerminalInterface::showShellInDir | ( | const QString & | dir | ) |

pure virtual

If a shell is currently shown, this sends it a cd command.

Otherwise, this starts a shell, and sends it a cd command too...

virtual void ExtTerminalInterface::startProgram | ( | const QString & | program,
|  | const QStrList & | args
| ) |  |

pure virtual

This starts `program`, with arguments `args`.

The documentation for this class was generated from the following file:

- kde_terminal_interface.h

KDE Home | KDE Accessibility Home | Description of Access Keys